DSELECT(8)

NOME
dselect - interfaccia a console per gestire pacchetti Debian

SINTASSI
dselect [--admindir <directory>] [--help] [--version] [--licence | --license] [--expert] [--debug <file> | -D <file>] [<azione>]

DESCRIZIONE
dselect è l'interfaccia utente primaria per installare, rimuovere e gestire i pacchetti di Debian GNU/Linux. È un front-end a dpkg(8). Normalmente dselect è invocato senza parametri, ma alcuni parametri dalla linea di comando sono ancora disponibili.

L'uso di dselect si spiega abbastanza da sé, ed è incluso un sistema di aiuto interno, che descrive le associazioni dei tasti (keystrokes) ed alcuni concetti generali. Leggere l'help.

  AZIONI

Access
    Sceglie un `metodo' di accesso da usare per individuare le fonti di pacchetti. Di default, esistono diversi metodi come "floppy", "harddisk", "cdrom", ma altri pacchetti, se installati, possono fornire metodi aggiuntivi, come per esempio "apt" o "multi_cd", ecc.

Update
    Aggiorna la lista dei pacchetti disponibili per dpkg/dselect con le informazioni relative alla fonte di pacchetti scelta.

Select
    Seleziona singoli paccheti da installare.

Install
    Installa i pacchetti selezionati.

Config
    Configura ogni pacchetto precedentemente non configurato.

Remove
    Rimuove o epura i pacchetti deselezionati.

Quit
    Esce da dselect (con successo).

OPZIONI
Tutte le opzioni possono essere specificate sia dalla linea di comando che dal file di configurazione di dselect /etc/dpkg/dselect.cfg. Ogni linea nel file di configurazione è una opzione (esattamente come nella linea di comando, ma senza '-' davanti) o un commento (se inizia con un #).

--admindir <directory>
    Cambia la directory dove sono localizzati i file `status', `available' e simili di dpkg. Questa directory, di default, è /var/lib/dpkg e normalmente non dovrebbe esserci alcuna necessità di cambiarla.

--debug <file> | -D<file>
    Attiva il debugging. Le informazioni di debugging sono inviate al <file>.

--expert
    Attiva la 'modalità esperto', per esempio non visualizzando possibili noiosi messaggi di aiuto.

--help
    Mostra un breve testo di aiuto ed esce successivamente.

--licence | --license
    Visualizza informazioni riguardo il copyright e la licenza di dselect ed esce successivamente.

--version
    Mostra informazioni sulla versione di dselect ed esce successivamente.

BUG

L'interfaccia di selezione pacchetti di dselect è confusa o addirittura allarmante per un nuovo utente.

dselect non gestisce molto bene il campo Recommends, e non comprende del tutto il campo Replaces.

Non c'è un modo semplice per scaricare ed installare automaticamente i pacchetti attraverso un FTP anonimo con metodi di accesso predefiniti (APT svolge questo compito).

VEDERE ANCHE
dpkg(8), deb(5).

AUTORI
dselect è stato scritto da Ian Jackson (ijackson@gnu.ai.mit.edu). La lista completa dei contributori può essere trovata in `dselect --license'.
Questa pagina di manuale è stata scritta da Juho Vuori <javuori@cc.helsinki.fi> e aggiornata da Josip Rodin. Traduzione e adattamenti in italiano a cura di Hugh Hartmann <hhartmann@libero.it> Revisione a cura di Francesco Grani <kekkograni@tin.it>.